[1/2] Install diffoscope binary if not installed

Message ID 20221129175814.16355-2-ubely@ilbers.de
State RFC
Headers show
Series check Isar image for reproducability | expand

Commit Message

Uladzimir Bely Nov. 29, 2022, 5:58 p.m. UTC
New `reproducable` test requires `diffoscope` utility to be
installed on the machine running CI.

Signed-off-by: Uladzimir Bely <ubely@ilbers.de>
---
 scripts/ci_build.sh | 5 +++++
 1 file changed, 5 insertions(+)

Patch

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 820a5609..f2f908d6 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -23,6 +23,11 @@  if ! command -v avocado > /dev/null; then
     source /tmp/avocado_venv/bin/activate
     pip install avocado-framework==96.0
 fi
+# install diffoscope package if not yet installed
+if ! command -v diffoscope > /dev/null; then
+    sudo apt-get update -qq
+    sudo apt-get install -y --no-install-recommends diffoscope
+fi
 
 # Get Avocado build tests path
 TESTSUITE_DIR="$(pwd)/testsuite"